org.eclipse.microprofile.fault.tolerance.tck.invalidParameters

## Class CircuitBreakerClientForValidationSuccessNeg

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.invalidParameters.CircuitBreakerClientForValidationSuccessNeg

    @RequestScoped
    public class CircuitBreakerClientForValidationSuccessNeg
    extends Object

A client to demonstrate the validation of the successThreshold attribute on @CircuitBreaker

Author:
  Neil Young

### Constructor Summary

Constructors
Constructor and Description
`CircuitBreakerClientForValidationSuccessNeg()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Connection` `serviceA()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CircuitBreakerClientForValidationSuccessNeg

    public CircuitBreakerClientForValidationSuccessNeg()

### Method Detail

#### serviceA

    @CircuitBreaker(successThreshold=0)
    public Connection serviceA()